import { ReactElement } from 'react';
export type KaRadioProps<T> = {
    selected?: T;
    value: T;
    onClick: (value: T) => void;
    size?: 'sm' | 'md';
    disabled?: boolean;
};
export declare const KaRadio: <T>({ onClick, value, selected, size, disabled, }: KaRadioProps<T>) => ReactElement;
